Bug 120418 - [PATCH] Update audio/sox to 14.0.1
Summary: [PATCH] Update audio/sox to 14.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-08 17:10 UTC by Dan Nelson
Modified: 2008-02-15 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (11.02 KB, patch)
2008-02-08 17:10 UTC, Dan Nelson
no flags Details | Diff
sox.diff (11.45 KB, patch)
2008-02-10 17:54 UTC, Dan Nelson
no flags Details | Diff
sox.tar.gz (2.83 KB, application/x-tar-gz)
2008-02-10 17:54 UTC, Dan Nelson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Nelson 2008-02-08 17:10:02 UTC
	

Bring sox up to the latest release.  It can now decode any format
recognized by ffmpeg or flac. The installed shared library has changed
name from libst to libsox, but I don't believe any existing ports use
it.
Comment 1 Beech Rintoul freebsd_committer 2008-02-08 19:44:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Beech Rintoul freebsd_committer 2008-02-09 00:25:30 UTC
Getting errors with this update:

Local -CURRENT i386:

===>  Installing for sox-14.0.1
===>   Generating temporary packing list
===>  Checking if audio/sox already installed
Making install in lpc10
Making install in libgsm
Making install in src
test -z "/usr/local/lib" || /usr/compat/linux/bin/mkdir -p "/usr/local/lib"
 /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o 
root -g wheel  'libsox.la' '/usr/local/lib/libsox.la'
 /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o 
root -g wheel  'libsfx.la' '/usr/local/lib/libsfx.la'
libtool: install: warning: relinking `libsfx.la'
test -z "/usr/local/bin" || /usr/compat/linux/bin/mkdir -p "/usr/local/bin"
  /bin/sh ../libtool --silent --mode=install install  -s -o root -g 
wheel -m 555 'sox' '/usr/local/bin/sox'
test -z "/usr/local/lib/sox" || /usr/compat/linux/bin/mkdir -p "/usr/local/lib/sox"
 /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o 
root -g 
wheel  'libsox_fmt_auto.la' '/usr/local/lib/sox/libsox_fmt_auto.la'
libtool: install: warning: relinking `libsox_fmt_auto.la'
install: /usr/local/lib/sox/libsox_fmt_auto.so.0: No such file or 
directory
*** Error code 71

amd64:

http://tb3.droso.net/errors/7-beech/sox-14.0.1.log

http://tb3.droso.net/errors/8.0-beech/sox-14.0.1.log
-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail   | http://www.freebsd.org
 X  - NO Word docs in e-mail | Latest Release:
/ \  - http://www.FreeBSD.org/releases/6.3R/announce.html
---------------------------------------------------------------------------------------
Comment 3 Beech Rintoul freebsd_committer 2008-02-09 06:37:03 UTC
State Changed
From-To: open->feedback

Doesn't install, awaiting maintainer feedback.
Comment 4 Dan Nelson 2008-02-10 17:54:53 UTC
In the last episode (Feb 08), Beech Rintoul said:
> Getting errors with this update:
> 
> Local -CURRENT i386:
> 
> ===>  Installing for sox-14.0.1
> ===>   Generating temporary packing list
> ===>  Checking if audio/sox already installed
> Making install in lpc10
> Making install in libgsm
> Making install in src
> test -z "/usr/local/lib" || /usr/compat/linux/bin/mkdir -p "/usr/local/lib"
>  /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o root -g wheel 'libsox.la' '/usr/local/lib/libsox.la'
>  /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o root -g wheel 'libsfx.la' '/usr/local/lib/libsfx.la'
> libtool: install: warning: relinking `libsfx.la'
> test -z "/usr/local/bin" || /usr/compat/linux/bin/mkdir -p "/usr/local/bin"
>   /bin/sh ../libtool --silent --mode=install install -s -o root -g wheel -m 555 'sox' '/usr/local/bin/sox'
> test -z "/usr/local/lib/sox" || /usr/compat/linux/bin/mkdir -p "/usr/local/lib/sox"
>  /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o root -g wheel 'libsox_fmt_auto.la' '/usr/local/lib/sox/libsox_fmt_auto.la'
> libtool: install: warning: relinking `libsox_fmt_auto.la'
> install: /usr/local/lib/sox/libsox_fmt_auto.so.0: No such file or directory
> *** Error code 71

This one I can't explain.  If you had manually added --disable-shared,
then libsox_fmt_auto.so.0 wouldn't be built, but the Makefile shouldn't
have tried to install it, either.  Do you still have the build log for
this run?
 
> amd64:
> 
> http://tb3.droso.net/errors/7-beech/sox-14.0.1.log

404; there is a sox-14.0.1_1.log though, which looks like you added
--disable-static to CONFIGURE_ARGS, because pkg_create can't find any
of the lib*.a files.  I think that's all right, since there are no
other ports that tweak the plist if the user manually disables shared
or static libs.
 
> http://tb3.droso.net/errors/8.0-beech/sox-14.0.1.log

  tar: %%PLIST_AO%%lib/sox/libsox_fmt_ao.a: Cannot stat: No such file or directory

Silly me; forgot to set PLIST_xxx="" when enabling feature xxx. Fixed
patch is attached.

I noticed that there's also a build error in your 6-beech tree:
http://tb3.droso.net/errors/6-beech/sox-14.0.1.log

 checking for av_open_input_file in -lavformat... no
 checking for av_rescale_q in -lavutil... no
 checking for avcodec_decode_audio2 in -lavcodec... no
 configure: error: cannot find ffmpeg
 See `config.log' for more details.

I can't explain that one either, since the ffmpeg-2007.10.04_1 package
should have installed those libraries, and ${LOCALBASE}/lib is
definitely being searched because the vorbis and flac libraries were
found.

-- 
	Dan Nelson
	dnelson@allantgroup.com
Comment 5 Beech Rintoul freebsd_committer 2008-02-10 18:37:29 UTC
State Changed
From-To: feedback->open

Received maintainer feedback
Comment 6 Beech Rintoul freebsd_committer 2008-02-15 03:35:44 UTC
State Changed
From-To: open->feedback

Build issues, awaiting maintainer feedback.
Comment 7 dfilter service freebsd_committer 2008-02-15 23:29:32 UTC
beech       2008-02-15 23:29:27 UTC

  FreeBSD ports repository

  Modified files:
    audio/sox            Makefile distinfo pkg-plist 
  Log:
  - Update to 14.0.1
  - Add PTHREAD_LIBS to LDFLAGS
  
  Bring sox up to the latest release. It can now decode any format
  recognized by ffmpeg or flac.
  
  PR:             ports/120418
  Submitted by:   Dan Nelson <dnelson@allantgroup.com> (maintainer)
  
  Revision  Changes    Path
  1.37      +79 -12    ports/audio/sox/Makefile
  1.17      +3 -3      ports/audio/sox/distinfo
  1.9       +208 -8    ports/audio/sox/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Beech Rintoul freebsd_committer 2008-02-15 23:29:53 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!